[Numpy-discussion] deprecations for 1.6; assert_almost_equal

Ralf Gommers ralf.gommers@googlemail....
Sun Mar 6 21:03:17 CST 2011


Hi,

I went through the current deprecations, and removed a number of
things that have been deprecated for a long time, see
https://github.com/rgommers/numpy/commits/deprecations-1.6. I'll
commit that unless anyone objects.

If anyone has new deprecations they want to put in for 1.6, discussing
them now would be good. I found one item in Trac, #1543. The proposal
in the ticket is to deprecate assert_almost_equal because it is quite
badly behaved. This function is quite widely used however (also in
scipy and presumably in third party code), so it will be a real pain
if it starts spewing out warnings.

I propose instead to just add a note at the top of the
assert_almost_equal docstring that assert_array_max_ulp or
assert_tol_equal (to be added from scipy.special in 1.6) should be
used instead for new code.

Cheers,
Ralf


More information about the NumPy-Discussion mailing list